New Git Hooks Deployed

Nicolas Fella nicolas.fella at gmx.de
Sun Jan 17 14:44:25 GMT 2021


On 17.01.21 11:30, Albert Astals Cid wrote:
> El diumenge, 17 de gener de 2021, a les 11:07:40 CET, Johnny Jazeix va escriure:
>> Hi Ben,
>>
>> https://build.kde.org/view/Failing/job/Applications/job/kaccounts-integration/job/kf5-qt5%20SUSEQt5.15/lastFailedBuild/console
>>
>> CMake Error at CMakeLists.txt:50 (include):
>> include could not find load file:  KDEGitCommitHooks
>>
>> Side effect or bad ECM minimal version?
> That's kind "a different git hook", what Ben wrote about is something that runs on the git server, this error is about something that runs on the developer side.
>
> This error is because Nico forgot that kaccounts-integration is not a KDE Framework and thus it would be really desirable for it to not depend on an unreleased version of extra-cmake-modules for the benefit of all of us that don't compile our own KDE Frameworks and just use released versions.

I've now added a version check that should fix the build with KF 5.78.
That does not fix the CI though since that seems to have
master-but-not-latest-master, i.e. it fails because it says it has 5.79
but does not have the relevant commit.

Cheers

Nico



More information about the kde-devel mailing list